--[[
         File:  main.lua
       Author:  Randy Knapp
        Email:  randy.bravo2@gmail.com
    Copyright:  © 2012 Randy Knapp
--]]

-- These are all the places that the require function will look
package.path = "./?.lua;"..   -- Same folder
    "./lua/?.lua;"..          -- In the lua folder
    "./lua/?/?.lua;"..        -- In the lua folder, inside a directory of the same name as the module
    "./lua/util/?.lua"        -- In the lua/util folder

-- Require other modules to initialize
require 'test'
local g = love.graphics

function love.load ()
    g.setBackgroundColor(58, 58, 85)
end

function love.draw ()
    test_func()

    g.setColor(0, 0, 0, 180)
    g.rectangle("fill", 1024 - 100 - 6, 45, 106, 24)
end
